
Infrastructure - Bug #8160

ReplicationManager doesn't allow replication if a NodeReplicationPolicy exists, but allowedFormats

aren't defined

2017-08-11 23:39 - Rob Nahf

Status: Closed Start date: 2017-08-11

Priority: Urgent Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_replication Estimated time: 0.00 hour

Target version: CCI-2.3.5   

Milestone: None Story Points:  

Product Version: *   

Description

The issue is that the NodeReplicationPolicy type creates an Empty List for allowedNodes, but the check in ReplicationManager uses

a allowedNodes != null check to know whether to limit by formats. (in the method passesReplicationPolicies(...))

The solution is to add an empty list check as well as a null check.  Probably should add other empty checks for other fields, too.

This is urgent for Arctic MN and NCEI for an NSF review on August 21st.

Associated revisions

Revision 18923 - 2017-08-12 16:08 - Rob Nahf

fixes #8160 in 2.3 branch:  In ReplicationManager, now checking for empty lists as well as nulls for allowedFormats, allowedNodes, and

blockedMemberNodes properties.

Revision 18923 - 2017-08-12 16:08 - Rob Nahf

fixes #8160 in 2.3 branch:  In ReplicationManager, now checking for empty lists as well as nulls for allowedFormats, allowedNodes, and

blockedMemberNodes properties.

History

#1 - 2017-08-12 16:14 - Rob Nahf

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset d1|r18923.
